/*Diseñar el algoritmo correspondiente a un programa que:
a) Cree una tabla bidimensional de 10x3 elementos de tipo numérico entero y 
nombre'números'.
b) Cargue la primera fila de la tabla con 10 valores positivos y negativos.
c) Calcule el cuadrado y el cubo de cada elemento introducido, y almacene en la tabla.
c) Muestre en pantalla cada elemento de la tabla junto con su cuadrado y su cubo.
Así:Valor: -8. Cuadrado: 64. Cubo: -512*/

#include<stdio.h>
#include<conio.h>
#include<math.h>

#define C 3
#define F 10

void main()
{
	int numeros[10][3]={0},fil,col;
	
	clrscr();
	for(fil=0;fil<F;fil++)
	{
		printf("Teclee un n£mero entero positivo o negativo: ");
		scanf("%d",&numeros[fil][0]);
	}
	for(fil=0;fil<F;fil++)
	{
		numeros[fil][1]=pow(numeros[fil][0],2);
		numeros[fil][2]=pow(numeros[fil][0],3);
	}
	for(fil=0;fil<F;fil++)
	{
		printf("\n%5d cuadrado: %5d cubo:  %5d",numeros[fil][0],numeros[fil][1],numeros[fil][2]);
	}
	getch();
}	